jQuery(($) => {
	
	// Js For Portfolio Sliders...
	var portfolio = $('.portfolio-owl-carousel');
	portfolio.owlCarousel({
	loop:true,
		margin:10,
		autoplay:false,
		autoplayTimeout:2000,
		autoplayHoverPause:true,
		dots: false,
		smartSpeed :1000, 
		items:1
	});
	
	portfolio.on('changed.owl.carousel', function(e) {
		$(".slideCurrentCount").text($(this).find('.active').next().find('.item').attr('data-count'));
		// console.log($(this).find('.active').attr('data-count'));
	});
  
	$('.customNextBtn').click(function(e) {
		e.preventDefault();
		portfolio.trigger('next.owl.carousel');
	});
	$('.customPrevBtn').click(function(e) {
		e.preventDefault();
		portfolio.trigger('prev.owl.carousel');
	});
	
	// Js For Testimonial Sliders...
	var testimonial = $('.testimonial-owl-carousel');
	testimonial.owlCarousel({
	loop:true,
		margin:10,
		autoplay:false,
		autoplayTimeout:2000,
		autoplayHoverPause:true,
		dots: false,
		smartSpeed :1000, 
		items:1
	});
	$('.testimonialNextBtn').click(function(e) {
		e.preventDefault();
		testimonial.trigger('next.owl.carousel');
	});
	$('.testimonialPrevBtn').click(function(e) {
		e.preventDefault();
		testimonial.trigger('prev.owl.carousel');
	});	
	
	// Js For Testimonial V2 Sliders...
	var testimonialv2 = $('.testimonial-v2-owl-carousel');
	testimonialv2.owlCarousel({
	loop:true,
		margin:10,
		autoplay:false,
		autoplayTimeout:2000,
		autoplayHoverPause:true,
		dots: false,
		smartSpeed :1000, 
		items:1
	});	
	$('.testimonialv2PrevBtn').click(function(e) {
		e.preventDefault();
		testimonialv2.trigger('prev.owl.carousel');
	});	
	$('.testimonialv2NextBtn').click(function(e) {
		e.preventDefault();
		testimonialv2.trigger('next.owl.carousel');
	});
	
	// Js For Hide Topbar ...
	$(window).scroll(function (event) {
		if($(window).width()> 991){
			var scroll = $(window).scrollTop();
			if(scroll){
				$(".header-topbar").hide();
				$(".octf-main-header").addClass("is-stuck").removeClass("headerBgColor");
			}else{
				$(".header-topbar").show();
				$(".octf-main-header").removeClass("is-stuck").addClass("headerBgColor");
			}
		}		
	});
	
	// $(window).scroll( function() {
		// if($(window).width()> 991){
			// if($(".octf-main-header").hasClass("is-stuck")){
				// $(".header-topbar").hide(300);
			// }else{
				// $(".header-topbar").show(600);
			// }    
		// }
	// });
	
	// Js For Blog Hover Bg Image ...
	$(".blog-list-inner").hover(function(){
		$(this).attr('style','background-image:url(\''+$(this).attr('data-image')+'\'');
	},function(){
		$(this).attr('style','');
	});
	
	// Js For Blog Social Icon Sticky ...
	$(window).scroll(function(){
		if ($(this).scrollTop() > 500) {
		   $('#s-share-buttons').addClass('s-share-buttons-sticky');
		} else {
		   $('#s-share-buttons').removeClass('s-share-buttons-sticky');
		}
	});
	
		// Js For PPC Sliders...
		$('#ppc-testimonial').owlCarousel({
			    loop:true,
			    margin:10,
			    nav:false,
			    dots: false,
			    navText : ["<i class='fas fa-arrow-left'></i>","<i class='fas fa-arrow-right'></i>"],
			    responsive:{
			        0:{
			            items:1
			        },
			        600:{
			            items:1
			        },
			        1000:{
			            items:1
			        }
			    }
			});
	// Js For Gallery Sliders...
	$('.annualEvent-owl-carousel, .workAnniversary-owl-carousel, .getTogether-owl-carousel').owlCarousel({
		loop:true,
		margin:10,
		autoplay:false,
		autoplayTimeout:2000,
		autoplayHoverPause:true,
		dots: false,
		smartSpeed :1000, 
		items:6,
		responsive:{
        0:{
            items:2
        },
        575:{
            items:2
        },
		768:{
            items:3
        },
		991:{
            items:4
        },
        1200:{
            items:4
        }
    }
	});
    
    // JS for Partner logos    
    $('.logos-carousel').owlCarousel({
		loop:true,
		margin:20,		
		dots: false,
        nav:false,
		slideTransition: 'linear',
        autoplaySpeed: 3000,
        smartSpeed: 3000,
        autoplay:true,
        slideSpeed: 200,
		autoplayHoverPause:true,
		items:6,
		responsive:{
            0:{
                items:2
            },
            575:{
                items:2
            },
            768:{
                items:3
            },
            991:{
                items:4
            },
            1200:{
                items:6
            }
        }        
        
	});
	
	// Js For Gallery Magnific Popups...
	$('.annualEvent-gallery, .workAnniversary-gallery, .getTogether-gallery').magnificPopup({
		delegate: '.item .img-box a',
		type: 'image',
		tLoading: 'Loading image #%curr%...',
		mainClass: 'mfp-img-mobile',
			gallery: {
			enabled: true,
			navigateByImgClick: true,
			preload: [0,1]
		},
		image: {
			tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
		}
	});
	
	// Js For Get Together Magnific Popups...
	$('.getTogether-gallery').magnificPopup({
		delegate: 'ul li a',
		type: 'image',
		tLoading: 'Loading image #%curr%...',
		mainClass: 'mfp-img-mobile',
			gallery: {
			enabled: true,
			navigateByImgClick: true,
			preload: [0,1]
		},
		image: {
			tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
		}
	});
    
    // JS for Foundation Gallery
    $('.foundation-gallery').magnificPopup({
        delegate: 'a',
        type: 'image',
        tLoading: 'Loading image #%curr%...',
        mainClass: 'mfp-img-mobile',
        gallery: {
            enabled: true,
            navigateByImgClick: true,
            preload: [0,1] // Will preload 0 - before current, and 1 after the current image
        },
        image: {
            tError: '<a href="%url%">The image #%curr%</a> could not be loaded.'                 
        }
    });
	
	// Js For Jobs With Us Career Page ...
	$('.job--with .collapse').on('show.bs.collapse', function () {
	  $(this).parent().addClass('card-block');
	});
	$('.job--with .collapse').on('hidden.bs.collapse', function () {
	  $(this).parent().removeClass('card-block');
	});
	
	jQuery(".hoveLink").hover(function(){ var cid = jQuery(this).attr("aria-controls");console.log("'"+cid+"'"); jQuery('#'+ cid).addClass("active show").siblings().removeClass("active show"); jQuery(this).tab("show"); });
	
	// Js For New Design Testimonial Sliders...
	var newtestimonial = $('.newtestimonial');
	newtestimonial.owlCarousel({
	loop:true,
		margin:15,
		autoplay:true,
		autoplayTimeout:5000,
		autoplayHoverPause:true,
		dots: false,
        nav : false,
		touchDrag:false,
	    mouseDrag:false,
	    pullDrag:false,
		dotsContainer: '#customdots',
		animateIn: 'fadeIn',
		smartSpeed :1000, 
		items:1
	});
	newtestimonial.on('changed.owl.carousel', function(e) {
		$(".img-item").removeClass('current');
		$(".img-item.large").html('<img src="'+ $(this).find('.active').next().find('.item').attr('data-img') +'" alt="client-img">');
		var currentc=$(this).find('.active').next().find('.item').attr('data-item');
		$(".img-item."+ currentc).addClass('current');
		// console.log($(this).find('.active').attr('data-count'));
	});
	
	// Js For LifeSection ...
	$('.lifeSection .collapse').on('show.bs.collapse', function () {
	  $(this).parent().addClass('card-block');
	  $('img#img'+$(this).attr('id')).show(500).siblings().hide();
	});
	$('.lifeSection .collapse').on('hidden.bs.collapse', function () {
	  $(this).parent().removeClass('card-block');
	});
	
	// Js For work-come-withUs ...
	$("#emailTo-careerBtn").click(function(){
		$("#work-come-withUs").slideToggle();
	});
	
	/* career page slider*/
	$('#career-banner-carousel').owlCarousel({
       loop:true,
       margin:0,
	   autoplay:true,
	   autoplayTimeout:5000,
       nav:false,
	   touchDrag:false,
	   mouseDrag:false,
	   pullDrag:false,
	   animateIn: 'fadeIn',
       dots: false,
       items:1
   	});

	var careerBanner = $('#owl-bannerv3_slider_career');
	careerBanner.owlCarousel({
		loop:true,
		margin:0,
		autoplay:false,
		autoplayTimeout:2000,
		autoplayHoverPause:true,
		dots: true,
		smartSpeed :1000, 
		items:1
	});

	/* Homepage Banner Slider*/
    $('#home-banner-slider').owlCarousel({
       loop:true,
       margin:0,
       autoplay:true,
       autoplayTimeout:5000,
       nav:false,
       touchDrag:false,
       mouseDrag:false,
       pullDrag:false,
       animateIn: 'fadeIn',
       dots: false,
       items:1
    });
   
	/*apply form*/
	
	if ( $(".submit-form select").is("#position") ) {
	//var hash = window.location.hash; //get the hash from url
	var hash = window.location.hash.substring(1);
	if(hash){
	var newhash = decodeURI(hash);//hash.replace("-", " ");
	
	//console.log(newhash);
	/*$("#position option").each(function() {
		console.log($(this).text());
	    if($(this).text() == newhash) {
		  console.log('d');
		$(this).attr('selected', 'selected');            
	  }                      
	});*/
	$("#position").val(newhash);
	//$("#position option[value=" + newhash +"]").attr('selected', 'selected'); 
	//$("#position").val(hash).change();
    //cleanhash = hash.replace("#", ""); //remove the #
    //alert(cleanhash);
	}
	}
    
    
    
    /* Foundation Slider*/
    jQuery('#foundation-items').owlCarousel({
       loop:true,
       margin:0,
       autoplay:true,
       autoplayTimeout:5000,
       nav:false,
       touchDrag:false,
       mouseDrag:false,
       pullDrag:false,
       animateIn: 'fadeIn',
       dots: true,
       items:1
    });
    
    $('#trending-topics').owlCarousel({
        loop:true,
        margin:20,
        autoplay:true,
        autoplayTimeout:5000,
        nav:true,
        dots: false,
        touchDrag:false,
        mouseDrag:false,
        pullDrag:false,        
        navText:["<span class='arrow-left arrow'></span>", "<span class='arrow-right arrow'></span>"],
        responsive:{
            0:{
                items:1
            },
            600:{
                items:2
            },
            992:{
                items:3
            },
            1199:{
                items:4
            }
        }
    });
	
});



// SEO Testimonial Slider
jQuery(document).ready(function($) {
    var sync1 = $('#sync1'), navitem= $('.navitem'),
    sync2 = $('.sync2');
    sync2.find('.item').eq(0).addClass('current');
    sync1.owlCarousel({                
        items:1,
        autoplay: true,
        loop:true,
        rewind: true,
        nav: true,
        dots: false,
        margin:10,
        navText : ["<i class='fas fa-arrow-left'></i>","<i class='fas fa-arrow-right'></i>"],
        responsive:{
            0:{
                items:1
            }
        }
    }).on('changed.owl.carousel', function(el) {
           var count = el.item.count-1;
           var current = Math.round(el.item.index-el.item.count/2-0.5);
           console.log(count);
           if(current<0){
           current=count;
           }
           if(current>count){
           current=0;
           }
         sync2.find('.item').removeClass('current').eq(current).addClass('current');  
        });

    /*sync2.on('initialized.owl.carousel',function(){
    sync2.find('.owl-item').eq(0).addClass('current');
    }).owlCarousel({
        center: true,
        items:3,
        loop:true,
        margin:10,
        nav: false,
        dots: false,
        animateOut: 'slideOutUp',
        animateIn: 'slideInUp',
        slideBy:3

    });*/

    // Sync nav
    navitem.on('click', '.upItem', function () {
    sync1.trigger('next.owl.carousel');
    });
    navitem.on('click', '.downItem', function () {
    sync1.trigger('prev.owl.carousel');
    });
    sync2.on('click','.item',function(e){ 
    e.preventDefault();
    var number =$(this).index();
    sync1.data('owl.carousel').to(number,300,true);
    });	
    
    
    // Apply Now Tabs
    jQuery(".apply-now-tabs ul li a").click(function()
    {
  		
  		jQuery('.apply-now-tabs ul li a').removeClass('active');
  		jQuery(this).addClass('active');
  		var show_section = jQuery(this).attr('data');
  		if(show_section != 'application-process')
  		{
  			jQuery('#application-process').hide();
  		}
  		jQuery('.elementor-section').removeClass('wcactive');
  		jQuery('#'+show_section).addClass('wcactive');

	});    
    
});

// Pricing Tabs
jQuery( window ).resize(function() 
{
    if (jQuery(window).width() <= 991) 
    {       
        
        jQuery(".pricing-tabs ul li a").click(function()
        {

            jQuery('.pricing-tabs ul li a').removeClass('active');
            jQuery(this).addClass('active');
            var show_section = jQuery(this).attr('data');
            if(show_section != 'price-tab-1')
            {
                jQuery('#price-tab-1').hide();
            }
            jQuery('.elementor-section').removeClass('wcactive');
            jQuery('#'+show_section).addClass('wcactive');

            jQuery('html,body').animate({scrollTop: jQuery("#"+show_section).offset().top-120},'slow');

        });        
    }
    else
    {        
        jQuery(".pricing-tabs ul li a").click(function()
        {

            jQuery('.pricing-tabs ul li a').removeClass('active');
            jQuery(this).addClass('active');
            var show_section = jQuery(this).attr('data');
            if(show_section != 'price-tab-1')
            {
                jQuery('#price-tab-1').hide();
            }
            jQuery('.elementor-section').removeClass('wcactive');
            jQuery('#'+show_section).addClass('wcactive');

        });        
    }
});
jQuery( document ).ready(function() 
{
    if (jQuery(window).width() <= 991) 
    {   
        jQuery(".pricing-tabs ul li a").click(function()
        {

            jQuery('.pricing-tabs ul li a').removeClass('active');
            jQuery(this).addClass('active');
            var show_section = jQuery(this).attr('data');
            if(show_section != 'price-tab-1')
            {
                jQuery('#price-tab-1').hide();
            }
            jQuery('.elementor-section').removeClass('wcactive');
            jQuery('#'+show_section).addClass('wcactive');

            jQuery('html,body').animate({scrollTop: jQuery("#"+show_section).offset().top-120},'slow');

        });        
    }
    else
    {        
        jQuery(".pricing-tabs ul li a").click(function()
        {

            jQuery('.pricing-tabs ul li a').removeClass('active');
            jQuery(this).addClass('active');
            var show_section = jQuery(this).attr('data');
            if(show_section != 'price-tab-1')
            {
                jQuery('#price-tab-1').hide();
            }
            jQuery('.elementor-section').removeClass('wcactive');
            jQuery('#'+show_section).addClass('wcactive');

        });        
    }
});

// Ends Pricing Tabs

// SEO Page Video Popup
jQuery(document).ready(function($){
    $(".popup-control img").click(function(){                
        $(".popup-overlay").show();
    });

    $(".cross-icon").click(function(){
        $(".popup-overlay").hide();
    });

    $(document).click(function(e) {
         if ((e.target.className === 'popup-overlay')) {
             $(".popup-overlay").hide();
         }
    });
});

// Get File Name From File Upload
jQuery(document).ready(function($){
    $('#js-resume input[type="file"]').change(function(e) {
        var FileName = e.target.files[0].name;
        $("#js-resume .js-label-resume").addClass('uploaded-file');
        $("#js-resume .js-label-resume").text(FileName);
    });
    $('#js-coverLetter input[type="file"]').change(function(e) {
        var FileName = e.target.files[0].name;        
        $("#js-coverLetter .js-label-cover").css('color','#000000');
        $("#js-coverLetter .js-fileName").text(FileName);
    });
    
//    $('.project-form .wpcf7-submit, .file-upload-form .wpcf7-submit').on('click', function(){        
//        if($('#js-resume input[type="file"], #js-coverLetter input[type="file"]').val() == ''){            
//            $('.js-label-resume, .js-label-cover').delay(200).css({'color':'red', 'font-weight':300});
//        }
//        $(".project-form .js-fileName, .file-upload-form .js-fileName").text('No file chosen');
//    });
});

// Class added in body tag
jQuery(document).ready(function(){    
    jQuery('body').addClass("anim-banner-element");
});

// Custom PopUp
jQuery(document).ready(function($){
    $(".js-get-a-quote").click(function(e){
        e.preventDefault();
        $("#get-a-quote").show();
    });
    
    $(".js-hiring-form-popup").click(function(e){
        e.preventDefault();
        $("#hiring-form-popup").show();
    });
    
    $(".js-contact-form-popup").click(function(e){
        e.preventDefault();
        $("#contact-form-popup").show();
    });
    
    $(".js-iso-popup").click(function(e){
        e.preventDefault();
        $("#iso-popup").show();
    });
    
    $(".custom-cross-icon").click(function(){
        $(".custom-popup-overlay").hide();
        localStorage.setItem("closed", "true");
    });

    $(document).click(function(e) {                
         if ((e.target.className === 'custom-popup-overlay')) {
             $(".custom-popup-overlay").hide();
             localStorage.setItem("closed", "true");
         }
    });            
});

// Show Get A Quote Form after 60 Sec
jQuery(document).ready(function($) {
    var closed = localStorage.getItem("closed");
    if(!closed){
        setTimeout(function(){        
           jQuery('#get-a-quote').show();// or fade, css display however you'd like.           
        }, 45000);
    }
});

// Show Get A Quote Form after 45 Sec
jQuery(document).ready(function($) {
    var closed = localStorage.getItem("closed");
    if(!closed){
        setTimeout(function(){        
           jQuery('#blog-get-a-quote').show();// or fade, css display however you'd like.           
        }, 45000);
    }
});

// Set top position for Mobile menu as per header height
jQuery( window ).resize(function() 
{
    jQuery(window).scroll(function (){
        if (jQuery(window).width() >= 992) 
        {   
            var header_height = jQuery('.octf-main-header.is-stuck, .blog-table-content').outerHeight();               
            jQuery('.blog-free-quotes, .blog-table-content, .social-sharing-icons-wrap').css('top',(header_height + 40)+'px');
        }
        else if (jQuery(window).width() >= 768 && jQuery(window).width() <= 991) 
        {   
            var header_height = jQuery('.header_mobile, .blog-table-content').outerHeight();               
            jQuery('.blog-free-quotes, .blog-table-content, .social-sharing-icons-wrap').css('top',(header_height + 40)+'px');
        }
        else
        {
            jQuery('.blog-free-quotes, .blog-table-content, .social-sharing-icons-wrap').removeAttr("style");
        }        
    });    
});

jQuery(window).scroll(function ()
{
    if (jQuery(window).width() >= 992) 
    {   
        var header_height = jQuery('.octf-main-header.is-stuck, .blog-table-content').outerHeight();               
        jQuery('.blog-free-quotes, .blog-table-content, .social-sharing-icons-wrap').css('top',(header_height + 10)+'px');
    }
    else if (jQuery(window).width() >= 768 && jQuery(window).width() <= 991) 
    {   
        var header_height = jQuery('.header_mobile, .blog-table-content').outerHeight();               
        jQuery('.blog-free-quotes, .blog-table-content, .social-sharing-icons-wrap').css('top',(header_height + 10)+'px');
    }
    else
    {
        jQuery('.blog-free-quotes, .blog-table-content, .social-sharing-icons-wrap').removeAttr("style");
    }
});

// Set top position for Social Sharing Icons
jQuery( window ).resize(function() 
{
    jQuery(window).scroll(function (){
        if (jQuery(window).width() >= 1201) 
        {   
            var header_height = jQuery('.octf-main-header.is-stuck, .blog-table-content').outerHeight();               
            jQuery('.social-sharing-icons-wrap').css('top',(header_height + 10)+'px');
        }        
        else
        {
            jQuery('.social-sharing-icons-wrap').removeAttr("style");
        }        
    });    
});

jQuery(window).scroll(function ()
{
    if (jQuery(window).width() >= 1201) 
    {   
        var header_height = jQuery('.octf-main-header.is-stuck, .blog-table-content').outerHeight();               
        jQuery('.social-sharing-icons-wrap').css('top',(header_height + 10)+'px');
    }        
    else
    {
        jQuery('.social-sharing-icons-wrap').removeAttr("style");
    }
});

// Show/Hide technology
jQuery(document).ready(function($) 
{
    jQuery('#technology .mobile-app-card__wrap a').click(function() 
    {
    	event.preventDefault();
  		jQuery('#technology .wgt-cat-item .col-md-4').hide();
  		var cat = jQuery(this).attr( "data-cat" );
  		jQuery('.'+cat).show();

	    jQuery('html,body').animate({scrollTop: jQuery("#technology ."+cat).offset().top-120},'slow');

	});
});

// Show/Hide Categories
jQuery(document).ready(function($) 
{
    jQuery('#categories .mobile-app-card__wrap a').click(function() 
    {
    	event.preventDefault();
  		jQuery('#categories .wgt-cat-item .col-md-4').hide();
  		var cat = jQuery(this).attr( "data-cat" );
  		jQuery('.'+cat).show();

  		jQuery('html,body').animate({scrollTop: jQuery("#categories ."+cat).offset().top-120},'slow');

	});
});

// Add/Remove active class
jQuery(document).ready(function($) 
{
	$('#technology .mobile-app-card__wrap').click(function()
	{
        $('#technology .mobile-app-card__wrap').removeClass('active');
        $(this).addClass('active');
    });
});

// Add/Remove active class
jQuery(document).ready(function($) 
{
	$('#categories .mobile-app-card__wrap').click(function()
	{
        $('#categories .mobile-app-card__wrap').removeClass('active');
        $(this).addClass('active');
    });
});


// contact form for seo

jQuery('#freeconsultant').click(function()
{
    
   var bla = jQuery('#website').val();
	var pattern = /^(http|https)?:\/\/[a-zA-Z0-9-\.]+\.[a-z]{2,4}/;
	if(pattern.test(bla)){
		 jQuery("#formdata").show();
    jQuery("#js-get-website").hide();
		 
	}
	
	else{
		
   
jQuery('.error').show();

	}    
    
});

// Elementor Scroll to section
jQuery( function( $ ) {
	// Add space for Elementor Menu Anchor link
	$( window ).on( 'elementor/frontend/init', function() {
		elementorFrontend.hooks.addFilter( 'frontend/handlers/menu_anchor/scroll_top_distance', function( scrollTop ) {
			return scrollTop - 110;
		} );
	} );
} );

// Navigation Toggle on Mobile
jQuery(document).ready(function($){
    $(function(){
        $('.hamburger').on('click', function(){
            $('.main-navigation-outer nav#site-navigation').slideToggle();
            $('.octf-main-header').toggleClass("showNavbar");            
        });
    });
});

jQuery(document).ready(function($){    
    jQuery('.location-tabs .hover-tabs > a').mouseover( function()
    {           
        jQuery('.location-tabs .hover-tabs > a').removeClass('active');
        jQuery(this).addClass('active');
        var id = jQuery(this).attr('data');
        jQuery('#'+id).show().siblings().hide();
        if (jQuery(window).width() <= 991)
        {
            jQuery('html, body').animate({scrollTop: jQuery('#'+id).offset().top -180 }, 'slow');
        }
    });  
    if( $('.heading-sec .designation').text() != ""){
        let x = $('.heading-sec .designation').text();
        let y = '#position option[value="'+x+'"]';
        $(y).prop('selected', 'selected')
    }
});
jQuery( document ).ajaxStop(function(){
	if(jQuery('.es_subscription_message.error').text() == "Email Address already exists!"){
    	jQuery('.es_subscription_message.error').text('');
    	jQuery('.es_subscription_message.error').text("Member Exists!");
    }
    if(jQuery('.redirectclasste')[0]){
        window.location.href = frontend_ajax_object.ajaxurl;
    }
});
// History Timeline
jQuery(document).ready(function($){    
    jQuery('.history-timeline-list li > a').click( function()
    {           
        jQuery('.history-timeline-list li').removeClass('active');
        jQuery(this).parent().addClass('active');
        var id = jQuery(this).attr('data');
        jQuery('#'+id).show().siblings().not('#timeline-slide').hide();
        if (jQuery(window).width() <= 767)
        {
            jQuery('html, body').animate({scrollTop: jQuery('#'+id).offset().top -180 }, 'slow');
        }
    });
     document.addEventListener( 'wpcf7mailsent', function( event ) {
    	if(jQuery('.wpcf7-form.sent')[0]){
    		location = '/request-thanks';
    	}
	    
	}, false );
});

(function( $ ) {
    'use strict';

    $(document).ready(function(){
      
      $('form.wpcf7-form .wpcf7-submit').on('click', function(event){
        let $form = $(this).closest('form.wpcf7-form');
        
        
        $(':input',$form).each(function(){
            let $this = $(this);
            switch(true){
              case $this.is(':checked'):
                $this.prop("defaultChecked", true);
                break;
              case $this.is('select'):
                let values = $this.val();
                if(!$.isArray(values)) values = [values];
                $('option', $this).each(function(){
                  let $option = $(this);
                  $option[0].defaultSelected= false;
                  if(values.indexOf($option.val()) >= 0){
                    $option[0].defaultSelected=true;
                  }
                });
                break;
              default:
                $this.prop("defaultValue", $this.val());
                break;
            }
        }); //input each

      }); //submit click
      
    });//document ready

})( jQuery );
