<?php
$pheader_bgimage = '';
$pheader_bgcolor = '';
if ( !function_exists( 'rwmb_meta' ) ) {
    $pheader_bgimage .= onum_get_option( 'single_post_bg_top_page' );
} else {
    if ( rwmb_meta( 'pheader_bgcolor_overlay' ) ) {
		$pheader_bgcolor .= 'style="background: ' . rwmb_meta( 'pheader_bgcolor_overlay' ) . '"';		
	}

	$images = rwmb_meta( 'pheader_bg_image', 'type=image');

    if ( !$images ) {
        $pheader_bgimage .= onum_get_option( 'single_post_bg_top_page' );
    } else {
        foreach ( $images as $image ) {
            $pheader_bgimage .= $image['full_url'];
            break;
        }
    }
}


?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
<?php
$permalinkk = get_the_permalink(get_the_ID());

$fbhref = "https://www.facebook.com/sharer?u=".$permalinkk;
$indhref = "http://www.linkedin.com/shareArticle?mini=true&amp;url=".$permalinkk;

$twithref = "https://twitter.com/share?url=".$permalinkk."&amp;hashtags=simplesharebuttons";
$location = get_field('location-career',get_the_ID());
$exptab = get_field('experience',get_the_ID());
if($exptab != ""){
    $exptabsec = '<li><span class="icon"><img src="'.get_stylesheet_directory_uri().'/images/job-exp-icon.png" alt="" /></span> <span> '.$exptab.' Years of experience</span></li>';
}
?>
<div class="career-banner-sec">
    <div class="container">
        <div class="career-banner-inner">
            <div class="row">
                <div class="col-lg-7 column-1">
                    <div class="content">
                        <div class="heading-sec">
                            <!-- <h3 class="heading">Job Opening</h3> -->
                            <h1 class="designation"><?php echo get_the_title(); ?></h1>
                        </div>
                        <div class="job-requirement-list">
                            <ul class="list-unstyled">
                                <?php echo $exptabsec; ?>
                                <li><span class="icon"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/job-location-icon.png" alt="" /></span> <span><?php if(empty($location)){echo 'Mohali';} else{echo $location;} ?></span></li>
                                <li><span class="icon"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/job-type-icon.png" alt="" /></span> <span>Job Type: Full-time</span></li>
                                <li><span class="icon"><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/job-calendar-icon.png" alt="" /></span> <span><?php echo get_the_date(); ?></span></li>
                            </ul>
                        </div>
                        <div class="share-post-sec">
                            <div class="share-post-outer">
                                <div class="share-post-heading">Share this post on</div>
                                <div class="share-social-icons mb-0">
                                    <ul class="list-unstyled mb-0">
                                        <!-- <li><i class="fas fa-share-alt"></i></li> -->
                                        <li><a href="<?php echo $fbhref; ?>" target="_blank" rel="noopener noreferrer"><i class="fab fa-facebook-f"></i></a></li>
                                        <li><a href="<?php echo $twithref; ?>" title="" target="_blank"><i class="fab fa-twitter"></i></a></li>
                                        <li><a href="<?php echo $indhref; ?>" target="_blank"><i class="fab fa-linkedin-in"></i></a></li>
                                    </ul>
                                </div>                
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-5 column-2">
                    <div class="content">
                        <div class="submit-resume-form">
                            <?php echo do_shortcode('[contact-form-7 id="6708" title="Submit Resume"]'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>        
    </div>
</div>

<!--
<div class="page-section career--JobApply">
    <div class="container">
        <div class="d-flex flex-md-row flex-column justify-content-center align-items-center">
            <div class="img-box">
                <?php $header_image= get_field('header_image',get_the_ID()); if($header_image){ ?>
                <img src="<?php echo $header_image; ?>" alt="Career">
                <?php }else{ ?>
                <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/career/job-cat-img.png" alt="Career">
                <?php } ?>
            </div>
            <div class="right-content">
                <div class="title--block image-bg" style="background-image:url('<?php echo get_stylesheet_directory_uri(); ?>/assets/images/career/job-titlebg.jpg');">
                    <h5 class="text-white">Job Opening</h5>
                    <h3 class="text-white"><?php echo get_the_title(); ?></h3>
                    <h4 class="text-white">Location - <?php echo get_field('location',get_the_ID()); ?></h4>
                </div>
                <div class="ot-button mt-5 text-center">
                    <?php $apply_link = get_field('apply_now_link',get_the_ID()); ?>
                    <a href="<?php echo $apply_link .'#'. get_the_title(); ?>" class="octf-btn octf-btn-primary octf-btn-icon text-white"><span>Apply Now <i class="flaticon-right-arrow-1"></i></span></a>
                </div>
            </div>
        </div>
    </div>
</div>
-->

<div class="page-section career--JobDescription image-bg" style="background-image:url('<?php echo get_stylesheet_directory_uri(); ?>/assets/images/career/job-desbg.png');">
    <div class="container">
        <div class="row">
            <div class="col-md-7">
                <div class="des-block pr-md-5">
                    <div class="page-heading text-md-left text-center mb-5">
                        <h3 class="mb-0">Job <span class="font-weigth-600">Description</span></h3>
                    </div>
                    <?php the_content(); ?>

                </div>
            </div>
            <div class="col-md-5">
                <div class="img-box">
                    <img src="<?php echo get_the_post_thumbnail_url(get_the_ID(),'full'); ?>">
                </div>
            </div>
        </div>
    </div>
</div>

<div class="career--JobSkill">
    <div class="container">
        <div class="row">
            <div class="col-md-7 col-lg-8">
                <div class="career--left-sec">
                    <div class="page-heading mb-5">
                        <h3 class="mb-0">Skills & <span class="font-weigth-600">Experience:</span></h3>
                    </div>
                    <div class="skills-block">
                        <?php echo get_field('skilles_experience',get_the_ID()); ?>
                    </div>
                    <div class="ot-button mt-5">
                        <a href="#wpcf7-f6708-p15995-o3" class="octf-btn octf-btn-primary octf-btn-icon text-white"><span>Apply Now <i class="flaticon-right-arrow-1"></i></span></a>
                    </div>
                </div>
            </div>
            <?php
                $args = array(
                    'post_type' => 'wgt-careerjobs',
                    'posts_per_page' => 6,
                    'post_status'    => 'publish',
                    'orderby' => 'rand'
                );
                $jobsposts = new WP_Query( $args );
                
            ?>
            <div class="col-md-5 col-lg-4">
                <div class="other-active-jobs">
					<h3 class="heading">Other Active Jobs</h3>
                    <ul class="list-unstyled mb-0">
                    <?php
                        foreach($jobsposts->posts as $post){
                            $exp = get_field('experience',$post->ID);
                            if($exp != ""){
                                $expspan = '<span class="exp-req">'.$exp.' Years</span>';
                            }
                            
                            echo '<li><a href="'.get_permalink($post->ID).'">
                                    <h6 class="designation">'.get_the_title().'</h6>
                                    '.$expspan.'
                                </a></li>';
                        }
                    ?>
                        
                    </ul>
                    <div class="btn-group">
                        <a href="careers/#applyalljob">View All</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
   
    echo do_shortcode("[testimonials]");
?>
<?php
    echo do_shortcode("[hfe_template id='22095']");


?>
<?php endwhile; endif; // End of the loop. ?>
