<?php
    /*
    Template Name: Our Gallery
    */
	
    get_header();
	
?>

<div class="gallery-banner">
	<div class="img-box">
		<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery-banner.png" alt="team-image">
	</div>
</div>

<div class="gallery-section">
	<div class="container">
		<div class="row align-items-center">			
			<div class="col-lg-8 order-lg-1 order-2">
				<div class="gallery-wrap">
					<div class="owl-carousel owl-theme annualEvent-owl-carousel annualEvent-gallery">
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/1.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/1.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/2.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/2.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>					
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/3.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/3.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/4.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/4.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/5.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/5.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/6.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/6.png" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/7.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/7.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/8.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/8.png" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
					</div>
				</div>
			</div>
			<div class="col-lg-4 order-lg-2 order-1">
				<div class="gallery-header text-center">
					<h3 class="mb-lg-0 mb-5">Annual <span class="font-weigth-900">Event</span></h3>
				</div>
			</div>
		</div>						
	</div>
</div>

<div class="gallery-section bg-gray">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-4">
				<div class="gallery-header text-center">
					<h3 class="mb-lg-0 mb-5">Work <span class="font-weigth-900">Anniversary</span></h3>
				</div>
			</div>
			<div class="col-lg-8">
				<div class="gallery-wrap">
					<div class="owl-carousel owl-theme workAnniversary-owl-carousel workAnniversary-gallery">
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/1.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/1.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/2.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/2.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>					
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/3.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/3.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/4.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/4.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/5.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/5.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/6.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/6.png" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/7.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/7.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/8.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/8.png" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
					</div>
				</div>
			</div>
		</div>						
	</div>
</div>

<div class="gallery-section">
	<div class="container">
		<div class="row align-items-center">			
			<div class="col-lg-8 order-lg-1 order-2">
				<div class="gallery-wrap">
					<div class="owl-carousel owl-theme getTogether-owl-carousel getTogether-gallery">
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/1.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/1.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/2.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/2.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>					
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/3.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/3.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/4.jpg">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/4.jpg" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/5.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/5.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/6.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/6.png" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
						<div class="item">
							<div class="img-box mb-3">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/7.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/7.png" class="rounded" alt="gallery-image">
								</a>
							</div>
							<div class="img-box">
								<a href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/8.png">
									<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/gallery/8.png" class="rounded" alt="gallery-image">
								</a>
							</div>
						</div>						
					</div>
				</div>
			</div>
			<div class="col-lg-4 order-lg-2 order-1">
				<div class="gallery-header text-center">
					<h3 class="mb-lg-0 mb-5">Get <span class="font-weigth-900">Together</span></h3>
				</div>
			</div>
		</div>						
	</div>
</div>

<?php get_footer(); ?>