<?php
    /*
    Template Name: Portfolio
    */
    
    get_header();
?>
<?php
    // Get the categories for post and product post types
    $categories = get_terms(array(
	'taxonomy' => 'portfolio_category',
    'include' => array(8,49,44,46,53,50,51,52),
    ));
	$posts_per_page =8;
    $args = array(
      'post_type' => 'wgz-portfolios',
      'posts_per_page' => -1,
      'post_status' => 'publish',
       'tax_query' => array(
				array(
				'taxonomy' => 'portfolio_category',
				'field' => 'term_id',
				'terms' => array(8,49,44,46,53,50,51,52),
				 )
			  )   
          
    );
    
      $posts_results = new WP_Query($args); 
	  $countsub = $posts_results->found_posts;
      // print_r($posts_results);
?>



<!-- New Portfolio Design -->
<div class="new-portfolio-tab-wrapper">
	<div class="container-fluid">
        <div class="new-portfolio-categories">
            <ul class="nav nav-pills d-flex">
                <li class="nav-item btntab">
                    <a class="nav-link active" data-catid="" data-toggle="pill" data-cat=".all" href="#all">All</a>
                </li>
                <?php
                foreach ( $categories as $term ) {
                    ?>
                    <li class="nav-item btntab">
                    <a class="nav-link" data-toggle="pill" data-catid="<?php echo $term->term_id; ?>" data-cat=".<?php echo $term->slug; ?>" href="#<?php echo $term->slug; ?>"><?php echo $term->name; ?></a>
                    </li>
                    <?php
                }
                ?>
            </ul>
        </div>
        
        <div class="tab-content new-portfolio-content-main" id="pills-tabContent" style="background-image:url('<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-bg.png')">
            <div class="new-portfolio-content">
                <div class="tab-pane fade list show active" id="all">
                    <div class="portfolio-grid">
					<?php 
							 if($posts_results->have_posts() ) {
							  while($posts_results->have_posts() ) {
							  $posts_results->the_post();
							  $term_list = wp_get_post_terms( get_the_ID(), 'portfolio_category', array( 'fields' => 'slugs' ) );
							  //print_r( $term_list );
							  $post_cats = implode(' ',$term_list);
							 $thumbnail_image = get_field('thumbnail_image',get_the_ID());
							 if(!$thumbnail_image){
								 $thumbnail_image = get_stylesheet_directory_uri() .'/assets/images/portfolio/placeholder-image.jpg';
							 }
						?>	
                        <div class="row align-items-center mb-50 proitem all <?php echo $post_cats; ?>">					
                            <div class="col-md-5">
                                <a href="<?php echo get_permalink(get_the_ID()); ?>"><img src="<?php echo $thumbnail_image; ?>" class="rounded" alt="Portfolio-image"></a>
                            </div>
                            <div class="col-md-7">
                                <div class="portfolio-item-content">
                                    <h4><a href="<?php echo get_permalink(get_the_ID()); ?>"><?php echo get_the_title(get_the_ID()); ?></a></h4>
                                    <p><?php echo substr(get_the_excerpt(get_the_ID()),0,150); ?></p>
                                </div>
                                <div class="portfolio-action d-flex">
                                    <a href="<?php echo get_permalink(get_the_ID()); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
						<?php
							  }
							  wp_reset_postdata();
							  
							 }
						?>
                        
                        
                    </div>
					<?php if($countsub>$posts_per_page){ ?>
					<div class="ot-button portfolio-load-more-btn btnloadmore text-center">
                        <a href="javascript:void(0);" data-pn="2" class="porloadmore octf-btn octf-btn-primary octf-btn-icon"><span>Load More <i class="flaticon-right-arrow-1"></i></span></a>
                    </div>
					<?php } ?>
                </div>
				<?php
				foreach ( $categories as $term ) {
				$argssub = array(
				'post_type' => 'wgz-portfolios',
				'posts_per_page' => -1,
				'post_status' => 'publish',
				'tax_query' => array(
					array(
					'taxonomy' => 'portfolio_category',
					'field' => 'term_id',
					'terms' => $term->term_id
					 )
				  )

				);
				$posts_results_sub = new WP_Query($argssub); 
				$countsub = $posts_results_sub->found_posts;
				?>
				<div class="tab-pane list list fade" id="<?php echo $term->slug; ?>">
				<div class="portfolio-grid">
				<?php 
				if($posts_results_sub->have_posts() ) {
				while($posts_results_sub->have_posts() ) {
				$posts_results_sub->the_post();
				
				$term_list = wp_get_post_terms( get_the_ID(), 'portfolio_category', array( 'fields' => 'slugs' ) );
				//print_r( $term_list );
				$post_cats = implode(' ',$term_list);
				$thumbnail_image = get_field('thumbnail_image',get_the_ID());
				 if(!$thumbnail_image){
					 $thumbnail_image = get_stylesheet_directory_uri() .'/assets/images/portfolio/chic-boutique-portfolio-img.jpg';
				 }
				?>
						<div class="row align-items-center mb-50 proitem all <?php echo $post_cats; ?>">					
                            <div class="col-md-5">
                                <img src="<?php echo $thumbnail_image; ?>" class="rounded" alt="Portfolio-image">
                            </div>
                            <div class="col-md-7">
                                <div class="portfolio-item-content">
                                    <h4><?php echo get_the_title(get_the_ID()); ?></h4>
                                    <p><?php echo substr(get_the_excerpt(get_the_ID()),0,150); ?></p>
                                </div>
                                <div class="portfolio-action d-flex">
                                    <a href="<?php echo get_permalink(get_the_ID()); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
					
				<?php } }  ?>
				</div>
				<?php if($countsub>$posts_per_page){ ?>
					<div class="ot-button portfolio-load-more-btn btnloadmore text-center">
                        <a href="javascript:void(0);" data-pn="2" class="porloadmore octf-btn octf-btn-primary octf-btn-icon"><span>Load More <i class="flaticon-right-arrow-1"></i></span></a>
                    </div>
					<?php } 
					wp_reset_postdata();
					?>
					</div>
				<?php } ?>
				
            </div>
		</div>
	</div>
</div>
<script>
jQuery(function($){
    /*$("li.btntab a").click(function() {
		$(".portfolio-grid .proitem").hide(); 
		if($(".portfolio-grid "+ $(this).attr('data-cat')).length>0){
			$('.btnloadmore').show();
		}else{
			$('.btnloadmore').hide();
		}
        $(".portfolio-grid "+ $(this).attr('data-cat')).show(500);   
    });*/
	/*****/
	var loading = false;
	var paged = 2;
	var blogAjaxUrl= '<?php echo admin_url( "admin-ajax.php" ); ?>';
	$('.porloadmore').on('click',function(){
		var catid = $('li.btntab a.active').attr('data-catid');
		paged = parseInt($(this).attr('data-pn'));
		var data = {
		'action': 'portfolio_action',
		'paged': paged,
		'catid': catid      // We pass php values differently!
	};
	// We can also pass the url value separately from ajaxurl for front end AJAX implementations
	if(loading) return false;
	loading = true;
	paged++;
	$(this).attr('data-pn',paged);
	jQuery.post(blogAjaxUrl, data, function(response) {
		if(response){
		$('.list.active .portfolio-grid').append(response);
		loading = false;
		}else{
		loading = false;
		$('.list.active .porloadmore').hide(500);
		}
	});
	});
	
  });
</script>
<?php get_footer(); ?>