<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ONUM
 */
?>

	</div><!-- #content -->
	<?php
		if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'footer' ) ) {
			get_template_part( 'template-parts/content', 'footer' );
		}
	?>
</div><!-- #page -->


<!-- Youtube Video Wrapper  -->
<div class="popup-overlay">
    <div class="pop-main">
        <a href="javascript:;" class="cross-icon"></a>
        <div class="popup-content">
            <div class="videoWrapper">
              <!-- Copy & Pasted from YouTube -->
              <iframe width="100%" height="100vh" src="https://www.youtube.com/embed/9YVAHyVckXw?rel=0" frameborder="0" allowfullscreen></iframe>
            </div>
        </div>
    </div>
</div>

<!-- Request A Quote  -->
<?php
    $classes = get_body_class();
    //if (!in_array('blog',$classes)) {
?>
<div class="custom-popup-overlay getQuotes-overlay" id="get-a-quote">
    <div class="pop-main large animate">
        <a href="javascript:void();" class="custom-cross-icon"></a>
        <?php echo do_shortcode( '[request_quotes]' ); ?>
    </div>
</div>
<?php //} ?>
<!-- Request A Quote End-->

<!-- We Are Hiring - Popup -->
<div class="custom-popup-overlay" id="hiring-form-popup">
    <div class="pop-main animate form-white-bg">
        <a href="javascript:;" class="custom-cross-icon"></a>
        <div class="popup-content">
            <div class="custom-popup-heading text-center mb-5 border-bottom">
                <h3 class="heading mb-3">We Are Hiring</h3>                
            </div>
            <div class="hiring-form-popup">
                <?php
                    echo do_shortcode('[contact-form-7 id="6708" title="Submit Resume"]');
                ?>
            </div>
        </div>
    </div>
</div>

<!-- Contact Us - Popup -->
<div class="custom-popup-overlay" id="contact-form-popup">
    <div class="pop-main animate form-white-bg">
        <a href="javascript:;" class="custom-cross-icon"></a>
        <div class="popup-content">
            <div class="custom-popup-heading text-center mb-5 border-bottom">
                <h3 class="heading mb-3">Contact Us</h3>                
            </div>
            <div class="contact-form-popup">
                <?php
                    echo do_shortcode('[contact-form-7 id="231" title="Contact Us"]');
                ?>
            </div>
        </div>
    </div>
</div>

<!-- ISO Certified - Popup -->
<div class="custom-popup-overlay" id="iso-popup">
    <div class="pop-main animate form-white-bg">
        <a href="javascript:;" class="custom-cross-icon"></a>
        <div class="popup-content">            
            <img src="<?php echo site_url(); ?>/wp-content/uploads/2022/03/iso-certified.jpg" alt="International Organization for Standardization" />
        </div>
    </div>
</div>

<!-- Whatsapp  -->
<div class="whatsaap">
    <a href="https://api.whatsapp.com/send?phone=917087233361&text=Welcome" target="_blank">
        <img src="<?php echo site_url(); ?>/wp-content/uploads/2022/01/whatsapp.png" alt="Whatsapp">
    </a>
</div>

<!-- We Are Hiring -->
<div class="hiring-tab">
    <a href="#" class="js-hiring-form-popup">We Are Hiring</a>
</div>

<?php
$redata = site_URL().'/our-portfolio/';
if ( is_page('request-thanks' ) ) { ?>
	
	<script> 

window.setTimeout(function() {
    //window.location.href = '/our-portfolio/';
}, 8000);
</script>

 <?php } wp_footer(); ?>

</body>


<script src="https://images.dmca.com/Badges/DMCABadgeHelper.min.js"> </script>
<script>
    // Tabbing on Foundation Page
    jQuery( document ).ready(function($) {
		
		if(jQuery(".uni-acc-cs")[0] != ''){
			jQuery(".firstdivcall").css("display", "block");
			jQuery(".uni-acc-cs > h3").click(function () {
				jQuery(this).next().slideToggle(500);
				jQuery(".uni-acc-cs > div").not(jQuery(this).next()).slideUp(500);
			});
		}
		

    	var url = window.location.href;
        var activeTab = url.substring(url.indexOf("#") + 1);  
        
        if(activeTab != ""){         
            jQuery('a[href="#'+ activeTab +'"]').addClass('active');
            jQuery("#" + activeTab).addClass("show active");
            jQuery(".nav-link:first-child").removeClass("active");
            jQuery(".tab-pane:first-child").removeClass("show active");
                
        }else{
             jQuery(".nav-link:first-child").addClass("active");
            jQuery("#Healthcare").addClass("show active");
            
        }  
        
		
		
    });   
    
    
    //    Typing Animation
    let typed = new Typed(".typing", {
        strings: ["top positions", "text Two", "text Three"],
        typeSpeed: 100,
        backSpeed: 60,
        loop: true
      });
    
    /**
       * Make Bootstrap tab Active on the bases of URL link
       */
</script>


</html>
