<?php
    /*
    Template Name: Hubspot Maintence
    */
    get_header();
?>

<div class="modal fade package-modal" id="cform" role="dialog">
    <div class="modal-dialog modal-dialog-centered">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
				<h4 class="modal-title">Fill up the form</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>             
            </div>
            <div class="modal-body">
                <form id="payform" class="package-form-box" action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
				<input type="hidden" name="on0" value="businessname">
				<input type="hidden" name="on1" value="businessurl">
				<input name="os0" maxlength="200" class="businessName" required="" placeholder="Business Name" value="" type="text">
                <input name="os1" maxlength="200" class="businessurl" placeholder="Business Url" value="" type="text">
				<input type="hidden" name="business" value="info@webguruz.in">
				<input type="hidden" name="item_name" class="itemname" value="STARTER"> 
				<input type="hidden" name="item_number" value="<?php echo get_the_ID();?>"> 
				<input type="hidden" name="amount" class="itemprice" value="55"> 
				<input type="hidden" name="no_shipping" value="1"> 
				<input type="hidden" name="currency_code" value="USD"> 
				<input type="hidden" name="notify_url" value="<?php echo site_url(); ?>/notify.php">
				<input type="hidden" name="cancel_return" value="<?php echo site_url(); ?>">
				<input type="hidden" name="return" value="<?php echo site_url(); ?>/thanks-you/">
				<input type="hidden" name="cmd" value="_xclick"> 
				<input class="purchase-btn" name="submit" value="Purchase" type="submit">
			</form>
            </div>
        </div>
    </div>
</div>

<div class="wrapper innerPages">

	<div class=" banner inner_banner story-banner" style="display:none;">
		<img src="<?php echo get_stylesheet_directory_uri(); ?>/images/blog.jpg" alt="slider img" width="1800" height="238">
	</div>
	<div class="about_sec our-values section_main" style="display:none;">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="heading about-se text-center">
						<h2 class="green"><?php the_title();?></h2>
					</div>
				</div>
			</div>
		</div>
	</div>

<!-- !- Content -->
<div class="container">
    <div class="package_table shortPackageTable sales-pack-table">
        <div class="table_sell display_block">
            <div class="sell">
                <ul class="packagefeatures deshtop fromarray">
                    <li class="first">
                        <div class="hub-head">Plan</div>
                        <div class="hub-sub-head">Cost</div>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Inbound Marketing Consultant</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Inbound Marketing GamePlan</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">1 Strategy/ Review</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Website Redesign every 18 months</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Buyer Persona Development</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Monthly ROI Assessment</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Monthly Keyword Analysis</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Monthly Content Calendar</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Blog Posts Per Week</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Set Up & Customization of Social Media Accounts</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Social Media Updates ,Monitoring & Training, Analytics & crisis response</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Weekly Emails and Monthly E-Newsletters.</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">CRM(Salesforce,Zoho etc) Integration</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">On-Page SEO Reviews & Updates</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Off-Page SEO(Link Building & Local SEO)</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Competitor Analysis</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Hubspot Management</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Press Release Marketing</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Blogger Outreach</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Media Relations</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Customized Reporting & Analytics</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">On-site Inbound Campaign,Kickoff & Training</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="title"><span class="text-update-pack"></span></a>
                    </li>
                </ul>
                <ul class="packagefeatures toggle nofullservice basepack basepackess">
                    <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                        <div class="extraOutBgRelWrap">
                            <div class="extraOutBgRel">
                                <div class="extraOutBg"></div>
                                <div class="labelTop">
                                    <span class="hub-pack-name">Basic</span>
                                    <span class="hub-pack-sub-name">$2000 Monthly</span>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Dedicated</span><i class="infoTag"></i></a><a href="#inline25971" class="fancybox-inline title-icon title mobile"><span>Inbound Marketing Consultant</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25972" class="fancybox-inline title-icon title mobile"><span>Inbound Marketing GamePlan</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Call Per Month</span><i class="infoTag"></i></a><a href="#inline2597" class="fancybox-inline title-icon title mobile"><span>1 Strategy/ Review</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25988" class="fancybox-inline title-icon title mobile"><span>Website Redesign every 18 months</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25982" class="fancybox-inline title-icon title mobile"><span>Buyer Persona Development</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline259840" class="fancybox-inline title-icon title mobile"><span>Monthly ROI Assessment</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Monthly Keyword Analysis</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"> <span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Monthly Content Calendar</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">02/Jan</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Blog Posts Per Week</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Set Up & Customization of Social Media Accounts</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop">
                        <span class="text-pack">Yes</span ><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Social Media Updates ,Monitoring & Training, Analytics & crisis response</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">1</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">4</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">1 Email per month</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Weekly Emails and Monthly E-Newsletters.</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Basic</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack"> No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>CRM(Salesforce,Zoho etc) Integration</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>On-Page SEO Reviews & Updates</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Off-Page SEO(Link Building & Local SEO)</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Competitor Analysis</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Hubspot Management</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Press Release Marketing</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Blogger Outreach</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Media Relations</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Customized Reporting & Analytics</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>
                        On-site Inbound Campaign,Kickoff & Training</span><i class="infoTag"></i></a>                                          
						<a class="title deshtop">
							<div class="new1">
								<input type="hidden" name="page_title" value="hubspot" id="page_title1">
								<input type="hidden" name="pak_price" value="2000" id="pak_price1">
								<input type="hidden" name="pak_name" value="Basic" id="pak_name1">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
						</a>
					</li>	
                </ul>
                <!--removed class "highlight-packleft" from following ul to remove highlighted effect and added class "basepack" to highlight as gray on 19th July -->
                <ul class="packagefeatures toggle nofullservice basepack basepackess">
                    <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                        <div class="extraOutBgRelWrap">
                            <div class="extraOutBgRel">
                                <div class="extraOutBg"></div>
                                <div class="labelTop">
                                    <span class="hub-pack-name">Professional</span>
                                    <span class="hub-pack-sub-name">$3000 Monthly</span>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Dedicated</span><i class="infoTag"></i></a><a href="#inline25971" class="fancybox-inline title-icon title mobile"><span>Inbound Marketing Consultant</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25972" class="fancybox-inline title-icon title mobile"><span>Inbound Marketing GamePlan</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack"> 2 Call Per Month</span><i class="infoTag"></i></a><a href="#inline2597" class="fancybox-inline title-icon title mobile"><span>1 Strategy/ Review</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25988" class="fancybox-inline title-icon title mobile"><span>Website Redesign every 18 months</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25982" class="fancybox-inline title-icon title mobile"><span>Buyer Persona Development</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline259840" class="fancybox-inline title-icon title mobile"><span>Monthly ROI Assessment</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Monthly Keyword Analysis</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"> <span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Monthly Content Calendar</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">3</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Blog Posts Per Week</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Set Up & Customization of Social Media Accounts</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop">
                        <span class="text-pack">Yes</span ><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Social Media Updates ,Monitoring & Training, Analytics & crisis response</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">3</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">8</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Weekly Emails and Monthly E-Newsletters.</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">intermediate</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack"> No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>CRM(Salesforce,Zoho etc) Integration</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>On-Page SEO Reviews & Updates</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Off-Page SEO(Link Building & Local SEO)</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Quarterly</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Competitor Analysis</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Hubspot Management</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Press Release Marketing</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Blogger Outreach</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Media Relations</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Customized Reporting & Analytics</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>
                        On-site Inbound Campaign,Kickoff & Training</span><i class="infoTag"></i></a> 
						<a class="title deshtop">
                        <div class="new2">
                            <input type="hidden" name="page_title" value="HUBSPOT" id="page_title2">
                            <input type="hidden" name="pak_price" value="3000" id="pak_price2">
                            <input type="hidden" name="pak_name" value="Professional" id="pak_name2">
                            <button class="purchase-btn purchase-package" type="submit">Purchase</button>
                        </div>
                        <div id="output"></div>
                    </a>
                    </li>                    
                </ul>
                <!--removed class "highlight-packright" from following ul to remove highlighted effect and added class "basepack" to highlight as gray on 19th July -->
                <ul class="packagefeatures toggle nofullservice basepack basepackess">
                    <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                        <div class="extraOutBgRelWrap">
                            <div class="extraOutBgRel">
                                <div class="extraOutBg"></div>
                                <div class="labelTop">
                                    <span class="hub-pack-name">Enterprise</span>
                                    <span class="hub-pack-sub-name">$5000 Monthly</span>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Sr. Level</span><i class="infoTag"></i></a><a href="#inline25971" class="fancybox-inline title-icon title mobile"><span>Inbound Marketing Consultant</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25972" class="fancybox-inline title-icon title mobile"><span>Inbound Marketing GamePlan</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack"> Call Per Week</span><i class="infoTag"></i></a><a href="#inline2597" class="fancybox-inline title-icon title mobile"><span>1 Strategy/ Review</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25988" class="fancybox-inline title-icon title mobile"><span>Website Redesign every 18 months</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25982" class="fancybox-inline title-icon title mobile"><span>Buyer Persona Development</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline259840" class="fancybox-inline title-icon title mobile"><span>Monthly ROI Assessment</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Monthly Keyword Analysis</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"> <span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Monthly Content Calendar</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">5/Apr</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Blog Posts Per Week</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Set Up & Customization of Social Media Accounts</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop">
                        <span class="text-pack">plus PPC Management (Google, Facebook, LinkedIn & Twitter) Including Re-Marketing</span ><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Social Media Updates ,Monitoring & Training, Analytics & crisis response</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">3</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">12</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Advanced</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Weekly Emails and Monthly E-Newsletters.</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Advanced</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span><i class="infoTag"></i></a>
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack"> Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>CRM(Salesforce,Zoho etc) Integration</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>On-Page SEO Reviews & Updates</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Off-Page SEO(Link Building & Local SEO)</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">Monthly</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Competitor Analysis</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Hubspot Management</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Press Release Marketing</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Blogger Outreach</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Media Relations</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>Customized Reporting & Analytics</span><i class="infoTag"></i></a>                      
                    </li>
                    <li style="height: 40px;" class="no item">
                        <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span>
                        On-site Inbound Campaign,Kickoff & Training</span><i class="infoTag"></i></a>                      
						<a class="title deshtop">
							<div class="new3">
								<input type="hidden" name="page_title" value="HubSpot" id="page_title3">
								<input type="hidden" name="pak_price" value="5000" id="pak_price3">
								<input type="hidden" name="pak_name" value="Enterprise" id="pak_name3">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
						</a>
					</li>
                </ul>
            </div>
        </div>
    </div>
</div>

<!-- for phone view -->
<div class="moblie-view">
    <div class="container">
        <div class="package-name-head">Up & Coming</div>
        <button class="accordion">Learn More</button>
        <div class="panel" style="display:none;">
            <ul class="packagefeatures toggle nofullservice basepack basepackess">
                <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                    <div class="extraOutBgRelWrap">
                        <div class="extraOutBgRel">
                            <div class="extraOutBg"></div>
                            <div class="labelTop">
                                <span class="hub-pack-name">Basic</span>
                                <span class="hub-pack-sub-name">$2000 Monthly</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Dedicated</span><i class="infoTag"></i></a><a href="#inline25971" class="fancybox-inline title-icon title mobile"><span class="inbound">Inbound Marketing Consultant</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25972" class="fancybox-inline title-icon title mobile"><span class="inbound">Inbound Marketing GamePlan</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Call Per Month</span><i class="infoTag"></i></a><a href="#inline2597" class="fancybox-inline title-icon title mobile"><span class="inbound">1 Strategy/ Review</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25988" class="fancybox-inline title-icon title mobile"><span class="inbound">Website Redesign every 18 months</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25982" class="fancybox-inline title-icon title mobile"><span class="inbound"> Buyer Persona Development</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline259840" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly ROI Assessment</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly Keyword Analysis</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"> <span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly Content Calendar</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">02/Jan</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Blog Posts Per Week</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Set Up & Customization of Social Media Accounts</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop">
                    <span class="text-pack">Yes</span ><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound"> Social Media Updates ,Monitoring & Training, Analytics & crisis response</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">1</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span> class="inbound"New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">4</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound"> New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">1 Email per month</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Weekly Emails and Monthly E-Newsletters.</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Basic</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack"> No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">CRM(Salesforce,Zoho etc) Integration</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">On-Page SEO Reviews & Updates</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Off-Page SEO(Link Building & Local SEO)</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Competitor Analysis</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Hubspot Management</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Press Release Marketing</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Blogger Outreach</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Media Relations</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Customized Reporting & Analytics</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">
                    On-site Inbound Campaign,Kickoff & Training</span><i class="infoTag"></i></a> 
					<a class="title deshtop">
						<div class="new1">
							<input type="hidden" name="page_title" value="hubspot" id="page_title1">
							<input type="hidden" name="pak_price" value="2000" id="pak_price1">
							<input type="hidden" name="pak_name" value="Basic" id="pak_name1">
							<button class="purchase-btn purchase-package" type="submit">Purchase</button>
						</div>
						<div id="output"></div>
					</a>
                </li>              
            </ul>
        </div>
    </div>
</div>

<div class="moblie-view">
    <div class="container">
        <div class="package-name-head">Progressive</div>
        <button class="accordion">Learn More </button>
        <div class="panel" style="display:none;">
            <ul class="packagefeatures toggle nofullservice basepack basepackess">
                <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                    <div class="extraOutBgRelWrap">
                        <div class="extraOutBgRel">
                            <div class="extraOutBg"></div>
                            <div class="labelTop">
                                <span class="hub-pack-name">Professional</span>
                                <span class="hub-pack-sub-name">$3000 Monthly</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Dedicated</span><i class="infoTag"></i></a><a href="#inline25971" class="fancybox-inline title-icon title mobile"><span class="inbound">Inbound Marketing Consultant</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25972" class="fancybox-inline title-icon title mobile"><span class="inbound">Inbound Marketing GamePlan</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack"> 2 Call Per Month</span><i class="infoTag"></i></a><a href="#inline2597" class="fancybox-inline title-icon title mobile"><span class="inbound">1 Strategy/ Review</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25988" class="fancybox-inline title-icon title mobile"><span class="inbound">Website Redesign every 18 months</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25982" class="fancybox-inline title-icon title mobile"><span class="inbound">Buyer Persona Development</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline259840" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly ROI Assessment</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly Keyword Analysis</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"> <span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly Content Calendar</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">3</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Blog Posts Per Week</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Set Up & Customization of Social Media Accounts</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop">
                    <span class="text-pack">Yes</span ><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Social Media Updates ,Monitoring & Training, Analytics & crisis response</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">3</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">8</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Weekly Emails and Monthly E-Newsletters.</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">intermediate</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack"> No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">CRM(Salesforce,Zoho etc) Integration</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">On-Page SEO Reviews & Updates</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Off-Page SEO(Link Building & Local SEO)</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Quarterly</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Competitor Analysis</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Hubspot Management</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Press Release Marketing</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Blogger Outreach</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Media Relations</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Customized Reporting & Analytics</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">
                    On-site Inbound Campaign,Kickoff & Training</span><i class="infoTag"></i></a>
					<a class="title deshtop">
						<div class="new2">
							<input type="hidden" name="page_title" value="HUBSPOT" id="page_title2">
							<input type="hidden" name="pak_price" value="3000" id="pak_price2">
							<input type="hidden" name="pak_name" value="Professional" id="pak_name2">
							<button class="purchase-btn purchase-package" type="submit">Purchase</button>
						</div>
						<div id="output"></div>
					</a>	
                </li>                
            </ul>
        </div>
    </div>
</div>

<div class="moblie-view">
    <div class="container pack-mob">
        <div class="package-name-head">Enterprise</div>
        <button class="accordion">Learn More</button>
        <div class="panel" style="display:none;">
            <ul class="packagefeatures toggle nofullservice basepack basepackess">
                <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                    <div class="extraOutBgRelWrap">
                        <div class="extraOutBgRel">
                            <div class="extraOutBg"></div>
                            <div class="labelTop">
                                <span class="hub-pack-name">Enterprise</span>
                                <span class="hub-pack-sub-name">$5000 Monthly</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Sr. Level</span><i class="infoTag"></i></a><a href="#inline25971" class="fancybox-inline title-icon title mobile"><span class="inbound">Inbound Marketing Consultant</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25972" class="fancybox-inline title-icon title mobile"><span class="inbound">Inbound Marketing GamePlan</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack"> Call Per Week</span><i class="infoTag"></i></a><a href="#inline2597" class="fancybox-inline title-icon title mobile"><span class="inbound">1 Strategy/ Review</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25988" class="fancybox-inline title-icon title mobile"><span class="inbound">Website Redesign every 18 months</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline25982" class="fancybox-inline title-icon title mobile"><span class="inbound">Buyer Persona Development</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline259840" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly ROI Assessment</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="yes item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly Keyword Analysis</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"> <span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Monthly Content Calendar</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">5/Apr</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Blog Posts Per Week</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Set Up & Customization of Social Media Accounts</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop">
                    <span class="text-pack">plus PPC Management (Google, Facebook, LinkedIn & Twitter) Including Re-Marketing</span ><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Social Media Updates ,Monitoring & Training, Analytics & crisis response</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">3</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">New Call-To-Action(Smart CTA)& Landing Page Per Quarter</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">12</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">New Offers (ebook, guide etc.) Call-To-Action, Landing Page & Workflow Per Year</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Advanced</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Weekly Emails and Monthly E-Newsletters.</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Advanced</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Workflow/ Lead Nurturing Campaign Customized for Buyer Persona & Offer</span><i class="infoTag"></i></a>
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack"> Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Lead Management,Segmentation,And Establishing Workflows With Sales team.Marketing and sales team Training, Consultation & Monthly Reviews</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">CRM(Salesforce,Zoho etc) Integration</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">On-Page SEO Reviews & Updates</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Yes</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Off-Page SEO(Link Building & Local SEO)</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">Monthly</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Competitor Analysis</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Hubspot Management</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Visual Content Creation & Marketing(infographics,slideshows, videos,etc)</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Press Release Marketing</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Blogger Outreach</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Media Relations</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">Customized Reporting & Analytics</span><i class="infoTag"></i></a>                      
                </li>
                <li style="height: 40px;" class="no item">
                    <a class="title deshtop"><span class="text-pack">No</span><i class="infoTag"></i></a><a href="#inline2598403" class="fancybox-inline title-icon title mobile"><span class="inbound">
                    On-site Inbound Campaign,Kickoff & Training</span><i class="infoTag"></i></a>                                      
					<a class="title deshtop">
						<div class="new3">
							<input type="hidden" name="page_title" value="HubSpot" id="page_title3">
							<input type="hidden" name="pak_price" value="5000" id="pak_price3">
							<input type="hidden" name="pak_name" value="Enterprise" id="pak_name3">
							<button class="purchase-btn purchase-package" type="submit">Purchase</button>
						</div>
						<div id="output"></div>
					</a>
				</li>
            </ul>
        </div>
    </div>
</div>

</div>

<script>
    jQuery(document).ready(function($){
    
    
      $(".new1").click(function(){
          $("#cform").modal();
		  $('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title1').val();
            var pak_price= $('#pak_price1').val();
            var pak_name= $('#pak_name1').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        $(".new2").click(function(){
            $("#cform").modal();
			$('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title2').val();
            var pak_price= $('#pak_price2').val();
            var pak_name= $('#pak_name2').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        $(".new3").click(function(){
            $("#cform").modal();
			$('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title3').val();
            var pak_price= $('#pak_price3').val();
            var pak_name= $('#pak_name3').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        
    
    });

    var acc = document.getElementsByClassName("accordion");
    var i;
    
    for (i = 0; i < acc.length; i++) {
      acc[i].addEventListener("click", function() {
        /* Toggle between adding and removing the "active" class,
        to highlight the button that controls the panel */
        this.classList.toggle("active");
    
        /* Toggle between hiding and showing the active panel */
        var panel = this.nextElementSibling;
        if (panel.style.display === "block") {
          panel.style.display = "none";
        } else {
          panel.style.display = "block";
        }
      });
    }
    

    jQuery(document).ready(function($){
    	$("button.accordion").click(function(){
    	$(this).parent().parent().siblings().children().children(".accordion").siblings(".panel").hide();
    	});
    });
	jQuery(document).ready(function($) {
	$.validator.addMethod( "lettersonly", function( value, element ) {
	return this.optional(element) || value == value.match(/^[a-zA-Z\s]+$/);
}, "Letters only please" );	
    $('#payform').validate({
    rules: {
      businessName: {
        required: true,
		lettersonly: true,
        minlength: 2
      },

      businessurl: {
        required: true,
		url: true
      }
      
    },

    messages: {
      businessName: "Please enter the valid data",
      businessurl: "Enter valid URL",
    },

    errorElement: "div",
    errorPlacement: function(error, element) {
      element.after(error);
    }

    });
    });  
</script>
<?php get_footer(); ?>