<?php
    /*
    Template Name: Packages
    */
    get_header();
?>

<div class="modal fade package-modal" id="cform" role="dialog">
    <div class="modal-dialog modal-dialog-centered">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title text-center">Fill up the form</h4>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
            </div>
            <div class="modal-body">
			    <form id="payform" class="package-form-box" action="https://www.sandbox.paypal.com/cgi-bin/webscr" method="post" target="_blank">
				<input type="hidden" name="on0" value="businessname">
				<input type="hidden" name="on1" value="businessurl">
				<input name="os0" maxlength="200" class="businessName" required="" placeholder="Business Name" value="" type="text">
                <input name="os1" maxlength="200" class="businessurl" placeholder="Business Url" value="" type="text">
				<input type="hidden" name="business" value="info@webguruz.in">
				<input type="hidden" name="item_name" class="itemname" value="STARTER"> 
				<input type="hidden" name="item_number" value="<?php echo get_the_ID();?>"> 
				<input type="hidden" name="amount" class="itemprice" value="55"> 
				<input type="hidden" name="no_shipping" value="1"> 
				<input type="hidden" name="currency_code" value="USD"> 
				<input type="hidden" name="notify_url" value="<?php echo site_url(); ?>/notify.php">
				<input type="hidden" name="cancel_return" value="<?php echo site_url(); ?>">
				<input type="hidden" name="return" value="<?php echo site_url(); ?>/thanks-you/">
				<input type="hidden" name="cmd" value="_xclick"> 
				<input class="purchase-btn" name="submit" value="Purchase" type="submit">
			</form>
                
            </div>
        </div>
    </div>
</div>

<div class="wrapper innerPages">

<div class=" banner inner_banner story-banner" style="display:none;">
    <img src="<?php echo get_stylesheet_directory_uri(); ?>/images/blog.jpg" alt="slider img" width="1800" height="238">
</div>

<div class="about_sec our-values section_main" style="display:none;">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="heading about-se text-center">
                    <h2 class="green"><?php the_title();?></h2>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- !- Content -->
<div class="container">
    <div class="package_table shortPackageTable sales-pack-table">
        <div class="table_sell display_block">
            <div class="sell">
                <ul class="packagefeatures deshtop fromarray">
                    <li class="first">
                        <div class="hub-head">Plan</div>
                        <div class="hub-sub-head">Cost</div>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Content assets developed</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Distribution of content on 3rd party websites</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Contextual links</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Keyword used in anchor text</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Themed links</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Minimum link longevity or will be replaced (rarely happens)</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Quartly social signals</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Quartly social Influencer signals</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Dedicated link building/ outreach expert</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Online Project Management Schedule</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Keyword Research</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Development or optimization of website blog</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack"># of blog posts per month</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack"># of press releases</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack"># of infographics</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Infographic research</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Infographic design</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Infographic promotion</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Infographic website outreach</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Infographic social outreach</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Infographic viral promotion</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Estimated backlinks per infographic</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Creating of motion graphic (based on infographic research)</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Motion graphic design</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Motion graphic promotion</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Motion graphic website outreach</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Motion graphic social outreach</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Motion graphic viral promotion</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Estimated backlinks per motion graphic</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Ongoing monthly traffic and goal reporting</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Keyword rank checker access (Updates weekly)</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Social Media monitoring interface access</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Competitor intelligence Report</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Creation &amp; promotion of an eBook</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">1 Hour Consultation with Clickstree CEO</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Monthly Link Reporting</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Duration</span></a>
                    </li>
					<li style="height: 40px;">
                        <a href="#" class="  title"><span class="text-update-pack">Monthly Content Marketing Investment</span></a>
                    </li>
                    <li style="height: 40px;">
                        <a href="#" class="title"><span class="text-update-pack"></span></a>
                    </li>
                </ul>
                <ul class="packagefeatures toggle nofullservice basepack basepackess">
                    <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                        <div class="extraOutBgRelWrap">
                            <div class="extraOutBgRel">
                                <div class="extraOutBg"></div>
                                <div class="labelTop">
                                    <span class="hub-pack-name">Basic</span>
                                    <span class="hub-pack-sub-name">$1000</span>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">5</span></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">At least 50%</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">20</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">4</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">15+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">6+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">$1,000</span></a>
						<a class="title deshtop">
                            <div class="new1">
								<input type="hidden" name="page_title" value="Content" id="page_title1">
								<input type="hidden" name="pak_price" value="1000" id="pak_price1">
								<input type="hidden" name="pak_name" value="Basic" id="pak_name1">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
                        </a>
                    </li>                   
                </ul>
                <ul class="packagefeatures toggle nofullservice basepack basepackess">
                    <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                        <div class="extraOutBgRelWrap">
                            <div class="extraOutBgRel">
                                <div class="extraOutBg"></div>
                                <div class="labelTop">
                                    <span class="hub-pack-name">Edge</span>
                                    <span class="hub-pack-sub-name">$1800</span>
                                </div>
                            </div>
                        </div>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">10</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">At least 50%</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">40</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">3</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">8</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 6 mo</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 6 mo</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">15+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">6+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">$1,800</span></a>
						<a class="title deshtop">
                            <div class="new2">
								<input type="hidden" name="page_title" value="Content" id="page_title2">
								<input type="hidden" name="pak_price" value="1800" id="pak_price2">
								<input type="hidden" name="pak_name" value="Edge" id="pak_name2">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
                        </a>
                    </li>                    
                </ul>
                <ul class="packagefeatures toggle nofullservice basepack basepackess">
                    <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                        <div class="extraOutBgRelWrap">
                            <div class="extraOutBgRel">
                                <div class="extraOutBg"></div>
                                <div class="labelTop">
                                    <span class="hub-pack-name">Edge Plus</span>
                                    <span class="hub-pack-sub-name">$2500</span>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">20</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">At least 50%</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">80</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">7</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">14</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 3 months</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 3 months</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">15+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">6+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">$2,500</span></a>
						<a class="title deshtop">
                            <div class="new3">
								<input type="hidden" name="page_title" value="Content" id="page_title3">
								<input type="hidden" name="pak_price" value="2500" id="pak_price3">
								<input type="hidden" name="pak_name" value="Edge Plus" id="pak_name3">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
                        </a>
                    </li>                   
                </ul>
            </div>
        </div>
    </div>
</div>

<!-- for phone view -->
<div class="moblie-view">
    <div class="container">
        <div class="package-name-head">Basic</div>
        <button class="accordion">Learn More</button>
        <div class="panel" style="display:none;">
            <ul class="packagefeatures toggle nofullservice basepack basepackess">
                <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                    <div class="extraOutBgRelWrap">
                        <div class="extraOutBgRel">
                            <div class="extraOutBg"></div>
                            <div class="labelTop">
                                <span class="hub-pack-name">Basic</span>
                                <span class="hub-pack-sub-name">$1000</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">5</span></a>
                    </li>
                    <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">At least 50%</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">20</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">4</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">15+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">6+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">$1,000</span></a>
						<a class="title deshtop">
                            <div class="new1">
								<input type="hidden" name="page_title" value="Content" id="page_title1">
								<input type="hidden" name="pak_price" value="1000" id="pak_price1">
								<input type="hidden" name="pak_name" value="Basic" id="pak_name1">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
                        </a>
                    </li>                
            </ul>
        </div>
    </div>
</div>
<div class="moblie-view">
    <div class="container">
        <div class="package-name-head">Edge</div>
        <button class="accordion">Learn More</button>
        <div class="panel" style="display:none;">
            <ul class="packagefeatures toggle nofullservice basepack basepackess">
                <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                    <div class="extraOutBgRelWrap">
                        <div class="extraOutBgRel">
                            <div class="extraOutBg"></div>
                            <div class="labelTop">
                                <span class="hub-pack-name">Edge</span>
                                <span class="hub-pack-sub-name">$1800</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">10</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">At least 50%</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">40</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">3</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">8</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 6 mo</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 6 mo</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">15+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">6+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">No</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">$1,800</span></a>
						<a class="title deshtop">
                            <div class="new2">
								<input type="hidden" name="page_title" value="Content" id="page_title2">
								<input type="hidden" name="pak_price" value="1800" id="pak_price2">
								<input type="hidden" name="pak_name" value="Edge" id="pak_name2">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
                        </a>
                    </li>                
            </ul>
        </div>
    </div>
</div>
<div class="moblie-view">
    <div class="container pack-mob">
        <div class="package-name-head">Edge Plus</div>
        <button class="accordion">Learn More</button>
        <div class="panel" style="display:none;">
            <ul class="packagefeatures toggle nofullservice basepack basepackess">
                <li package-crm-number="20" package-name="basic1" package="129145" class="secCol clickThis first" id="package_129145">
                    <div class="extraOutBgRelWrap">
                        <div class="extraOutBgRel">
                            <div class="extraOutBg"></div>
                            <div class="labelTop">
                                <span class="hub-pack-name">Edge Plus</span>
                                <span class="hub-pack-sub-name">$2500</span>
                            </div>
                        </div>
                    </div>
                </li>
                <li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">20</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">At least 50%</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">80</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">7</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">14</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 3 months</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">2- every 3 months</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">15+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">6+</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>	
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">Yes</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">1 year</span></a>
                    </li>
					<li style="height: 40px;" class="yes item">
                        <a class="title deshtop"><span class="text-pack">$2,500</span></a>
						<a class="title deshtop">
                            <div class="new3">
								<input type="hidden" name="page_title" value="Content" id="page_title3">
								<input type="hidden" name="pak_price" value="2500" id="pak_price3">
								<input type="hidden" name="pak_name" value="Edge Plus" id="pak_name3">
								<button class="purchase-btn purchase-package" type="submit">Purchase</button>
							</div>
							<div id="output"></div>
                        </a>
                    </li>               
            </ul>
        </div>
    </div>
</div>

</div>
<script>
    jQuery(document).ready(function($){
    
    
      $(".new1").click(function(){
          $("#cform").modal();
		  $('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title1').val();
            var pak_price= $('#pak_price1').val();
            var pak_name= $('#pak_name1').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        $(".new2").click(function(){
            $("#cform").modal();
			$('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title2').val();
            var pak_price= $('#pak_price2').val();
            var pak_name= $('#pak_name2').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        $(".new3").click(function(){
            $("#cform").modal();
			$('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title3').val();
            var pak_price= $('#pak_price3').val();
            var pak_name= $('#pak_name3').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        
    
    });

    var acc = document.getElementsByClassName("accordion");
    var i;
    
    for (i = 0; i < acc.length; i++) {
      acc[i].addEventListener("click", function() {
        /* Toggle between adding and removing the "active" class,
        to highlight the button that controls the panel */
        this.classList.toggle("active");
    
        /* Toggle between hiding and showing the active panel */
        var panel = this.nextElementSibling;
        if (panel.style.display === "block") {
          panel.style.display = "none";
        } else {
          panel.style.display = "block";
        }
      });
    }
    

    jQuery(document).ready(function($){
    	$("button.accordion").click(function(){
    	$(this).parent().parent().siblings().children().children(".accordion").siblings(".panel").hide();
    	});
    });
	
	jQuery(document).ready(function($) {
	$.validator.addMethod( "lettersonly", function( value, element ) {
	return this.optional(element) || value == value.match(/^[a-zA-Z\s]+$/);
}, "Letters only please" );	
    $('#payform').validate({
    rules: {
      businessName: {
        required: true,
		lettersonly: true,
        minlength: 2
      },

      businessurl: {
        required: true,
		url: true
      }
      
    },

    messages: {
      businessName: "Please enter the valid data",
      businessurl: "Enter valid URL",
    },

    errorElement: "div",
    errorPlacement: function(error, element) {
      element.after(error);
    }

    });
    });  
</script>
<?php get_footer(); ?>