<?php

/*
Template Name: Portfolio v2
*/
    
get_header();
?>

<?php
    // Get the categories for post and product post types
    $categories = get_terms(array(
	'taxonomy' => 'portfolio_category',
    'order'    => 'DESC',
    'include' => array(8,49,26,29,37,50,35,52,36,28,42,39),
    ));

    $wgt_cat = get_terms(array(
    'taxonomy' => 'portfolio_category',
    'order'    => 'ASC',
    'include' => array(44,40,48,51,25,46,45,30),
    ));

	$posts_per_page =8;
    $args = array(
      'post_type' => 'wgz-portfolios',
      'posts_per_page' => 14,
      'post_status' => 'publish',
       'tax_query' => array(
				array(
				'taxonomy' => 'portfolio_category',
				'field' => 'term_id',
				'terms' => array(8,49,44,46,53,50,51,52),
				 )
			  )   
          
    );
    
      $posts_results = new WP_Query($args); 
	  $countsub = $posts_results->found_posts;
      // print_r($posts_results);
?>

<!-- Portfolio v2 Banner -->
<div class="portfolio-banner">
    <div class="banner-row">
        <div class="left-part" style="background-image:url('<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-banner-left-bg2.jpg');">
            <div class="text-bx">
                <h1>Transform the World <br><span>With Your Idea</span></h1>
                <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s,</p>
            </div>
        </div>
        <div class="right-part" style="background-image:url('<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-banner-right-bg.jpg');">
            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-banner-right-image.png" alt="portfolio-banner-image">
        </div>
    </div>
</div>
<!-- End Portfolio Banner -->

<!-- Portfolio v2 -->
<section class="portfolio-v2-wrapper">
    <div class="portfolio-v2-inner">
        <div class="portfolio-v2-nav">
            <ul class="nav nav-pills">
                <li class="nav-item">
                    <a href="#all" class="nav-link active" data-toggle="pill">All</a>
                </li>
                <li class="nav-item">
                    <a href="#technology" class="nav-link" data-toggle="pill">Technology</a>
                </li>
                <li class="nav-item">
                    <a href="#categories" class="nav-link" data-toggle="pill">Categories</a>
                </li>
            </ul>
        </div>
        <div class="tab-content portfolio-v2-content" id="pills-tabContent">
            <div class="tab-pane fade show active" id="all">
                <div class="row">
                <?php
                $count = 1;
                if($posts_results->have_posts() ) 
                {
                while($posts_results->have_posts() ) 
                {
                    $posts_results->the_post();
                    if($count <= 3)
                    {
                ?>
                <!-- Row 1 -->
                
                    <div class="col-md-4">
                        <div class="portfolio-v2-card mb-5">
                            <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                
             
                <?php } ?>

                    <?php 
                    if($count == 4)
                    {
                    ?>
                    <div class="col-md-8">
                        <div class="portfolio-v2-card-half mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php 
                    } 
                    ?>

                    <?php if($count == 5)
                    {
                    ?>
                    <div class="col-md-4">
                         <div class="portfolio-v2-card half-right mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php 
                    } 
                    ?>

                    <?php
                    if($count>=6 && $count <= 8)
                    {
                    ?>
                     <div class="col-md-4">
                        <div class="portfolio-v2-card mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                    }
                    ?>

                    <?php 
                    if($count == 9)
                    {
                    ?>
                    <div class="col-md-8">
                        <div class="portfolio-v2-card-half mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php 
                    } 
                    ?>

                    <?php if($count == 10)
                    {
                    ?>
                    <div class="col-md-4">
                        <div class="portfolio-v2-card half-right mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php 
                    } 
                    ?>

                    <?php
                    if($count>=11 && $count <= 13)
                    {
                    ?>
                     <div class="col-md-4">
                        <div class="portfolio-v2-card mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                    }
                    ?>

                    <?php
                    if($count == 14)
                    {
                    ?>
                     <div class="col-md-12">
                        <div class="portfolio-v2-card-full mb-5">
                             <?php
                            if(get_field('portfolio_cover'))
                            {
                            ?>
                            <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                            <?php
                            }
                            else
                            {
                            ?>  
                            <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                            <?php
                            }
                            ?>
                            <div class="text-fold">
                                <h3><?php echo get_the_title(); ?></h3>
                                <h4><?php echo get_field('industry'); ?></h4>
                                <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                <div class="read-more">
                                    <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                    }
                    ?>

                <?php
                $count++;
                }
                    wp_reset_postdata();
                }
                ?>
                </div>
                <!-- Load More Btn -->
                <?php 
                if($countsub > $posts_per_page)
                {
                ?>
                <div class="ot-button text-center portfolio-v2-btn mt-5 pt-5">
                    <a href="javascript:void(0);" id="wgt_all_posts" class="octf-btn octf-btn-primary octf-btn-icon"><span>Load More <i class="flaticon-right-arrow-1"></i></span></a>
                </div>
                <?php 
                }
                ?>
            </div>
            <div class="tab-pane fade" id="technology">
            <div class="mobile-app-category mb-3 mb-md-5">
                    <h4 class="heading text-left"><span>Most Popular Technology</span></h4>
                    <div class="row mobile-app-list">
                        <?php
                        $active_count = 1;
                        foreach ( $categories as $term ) 
                        {
                            if($active_count == 1)
                            {
                                $ac_class = "active";
                            }
                            else
                            {
                                $ac_class = "";    
                            }
                            
                        ?>
                        <div class="col-md-4 col-lg-3">
                            <div class="mobile-app-card__wrap <?php echo $ac_class; ?>">
                                <a href="#<?php echo $term->slug; ?>" data-catid="<?php echo $term->term_id; ?>" data-cat="<?php echo $term->slug; ?>">
                                    <div class="mobile-app-card">
                                        <div class="mobile-app-icon">
                                            <figure class="mr-3">
                                                <img src="https://staging.webguruz.in/wp-content/uploads/2022/02/blog-cate-icon.png" alt="mobile-app-icon">
                                            </figure>
                                        </div>
                                        <h6><?php echo $term->name; ?></h6>
                                    </div>
                                </a>
                            </div>
                        </div>  
                        <?php
                        $active_count++;
                        }
                        ?>                                
                    </div>
            </div>
            <div class="row wgt-cat-item">
                <?php
                    foreach ( $categories as $term ) {
                        $argssub = array(
                        'post_type' => 'wgz-portfolios',
                        'posts_per_page' => 8,
                        'post_status' => 'publish',
                        'tax_query' => array(
                            array(
                            'taxonomy' => 'portfolio_category',
                            'field' => 'term_id',
                            'terms' => $term->term_id
                             )
                          )

                        );
                        $posts_results_sub = new WP_Query($argssub); 
                        $countsub = $posts_results_sub->found_posts;

                        if($posts_results_sub->have_posts() ) 
                        {
                        while($posts_results_sub->have_posts() ) 
                        {
                            $posts_results_sub->the_post();
                            $term_list = wp_get_post_terms( get_the_ID(), 'portfolio_category', array( 'fields' => 'slugs' ) );
                            $post_cats = implode(' ',$term_list);
                        ?>
                             <div class="col-md-4 <?php echo $term->slug; ?>">
                                <div class="portfolio-v2-card mb-5 <?php echo $post_cats; ?>">
                                     <?php
                                    if(get_field('portfolio_cover'))
                                    {
                                    ?>
                                    <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                                    <?php
                                    }
                                    else
                                    {
                                    ?>  
                                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                                    <?php
                                    }
                                    ?>
                                    <div class="text-fold">
                                        <h3><?php echo get_the_title(); ?></h3>
                                        <h4><?php echo get_field('industry'); ?></h4>
                                        <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                        <div class="read-more">
                                            <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php
                        } 
                        }
                        if($countsub>$posts_per_page){ ?>
                  <!--   <div class="row ot-button portfolio-load-more-btn btnloadmore text-center">
                        <a href="javascript:void(0);" data-pn="2" class="porloadmore octf-btn octf-btn-primary octf-btn-icon"><span>Load More <i class="flaticon-right-arrow-1"></i></span></a>
                    </div> -->
                    <?php 
                    } 
                    wp_reset_postdata();
                    
                    }
                ?>
            </div>
            </div>
            <div class="tab-pane fade" id="categories">
                <div class="mobile-app-category mb-3 mb-md-5">
                    <h4 class="heading text-left"><span>Most Popular Categories</span></h4>
                     <div class="row mobile-app-list">
                        <?php
                        $active_count = 1;
                        foreach ( $wgt_cat as $term ) 
                        {
                            if($active_count == 1)
                            {
                                $ac_class = "active";
                            }
                            else
                            {
                                $ac_class = "";    
                            }
                            
                        ?>
                        <div class="col-md-4 col-lg-3">
                            <div class="mobile-app-card__wrap <?php echo $ac_class; ?>">
                                <a href="#<?php echo $term->slug; ?>" data-catid="<?php echo $term->term_id; ?>" data-cat="<?php echo $term->slug; ?>">
                                    <div class="mobile-app-card">
                                        <div class="mobile-app-icon">
                                            <figure class="mr-3">
                                                <img src="https://staging.webguruz.in/wp-content/uploads/2022/02/blog-cate-icon.png" alt="mobile-app-icon">
                                            </figure>
                                        </div>
                                        <h6><?php echo $term->name; ?></h6>
                                    </div>
                                </a>
                            </div>
                        </div>  
                        <?php
                        $active_count++;
                        }
                        ?>                                
                    </div>
                </div>

                <div class="row wgt-cat-item">
                <?php
                    foreach ( $wgt_cat as $term ) {
                        $argssub = array(
                        'post_type' => 'wgz-portfolios',
                        'posts_per_page' => 8,
                        'post_status' => 'publish',
                        'tax_query' => array(
                            array(
                            'taxonomy' => 'portfolio_category',
                            'field' => 'term_id',
                            'terms' => $term->term_id
                             )
                          )

                        );
                        $posts_results_sub = new WP_Query($argssub); 
                        $countsub = $posts_results_sub->found_posts;

                        if($posts_results_sub->have_posts() ) 
                        {
                        while($posts_results_sub->have_posts() ) 
                        {
                            $posts_results_sub->the_post();
                            $term_list = wp_get_post_terms( get_the_ID(), 'portfolio_category', array( 'fields' => 'slugs' ) );
                            $post_cats = implode(' ',$term_list);
                        ?>
                             <div class="col-md-4 <?php echo $term->slug; ?>">
                                <div class="portfolio-v2-card mb-5 <?php echo $post_cats; ?>">
                                     <?php
                                    if(get_field('portfolio_cover'))
                                    {
                                    ?>
                                    <img src="<?php echo get_field('portfolio_cover'); ?>" class="w-100" alt="portfolio-image">
                                    <?php
                                    }
                                    else
                                    {
                                    ?>  
                                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image"> 
                                    <?php
                                    }
                                    ?>
                                    <div class="text-fold">
                                        <h3><?php echo get_the_title(); ?></h3>
                                        <h4><?php echo get_field('industry'); ?></h4>
                                        <p><?php echo substr(strip_tags(get_the_content()), 0, 80).'...'; ?></p>
                                        <div class="read-more">
                                            <a href="<?php echo get_the_permalink(); ?>">Read More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php
                        } 
                        }
                        if($countsub>$posts_per_page){ ?>
                  <!--   <div class="row ot-button portfolio-load-more-btn btnloadmore text-center">
                        <a href="javascript:void(0);" data-pn="2" class="porloadmore octf-btn octf-btn-primary octf-btn-icon"><span>Load More <i class="flaticon-right-arrow-1"></i></span></a>
                    </div> -->
                    <?php 
                    } 
                    wp_reset_postdata();
                    
                    }
                ?>
            </div>

            </div>
        </div>
    </div>
    <?php echo do_shortcode("[hfe_template id='23914']"); ?>
</section>
<!-- End Portfolio v2 -->

<script>
jQuery(function($){
    /*****/
    var loading = false;
    var paged = 2;
    var blogAjaxUrl= '<?php echo admin_url( "admin-ajax.php" ); ?>';
    $('#wgt_all_posts').on('click',function()
    {
        //paged = parseInt($(this).attr('data-pn'));
        var data = {
        'action': 'wgt_portfolio_action',
        'paged': paged
    };
    // We can also pass the url value separately from ajaxurl for front end AJAX implementations
    if(loading) return false;
    loading = true;
    paged++;
    $(this).attr('data-pn',paged);
    jQuery.post(blogAjaxUrl, data, function(response) 
    {

        if(response)
        {
            console.log('here1');
            $('#all .row').append(response);
            loading = false;
        }
    });
    });
    
  });
</script>

<?php get_footer(); ?>